diff --git a/archivers/ark/pkg-plist b/archivers/ark/pkg-plist
index ddd1a87852e2..ae7f0eabe736 100644
--- a/archivers/ark/pkg-plist
+++ b/archivers/ark/pkg-plist
@@ -10,10 +10,10 @@ lib/libkerfuffle.so.%%KDE_APPLICATIONS_SHLIB_VER%%
 %%QT_PLUGINDIR%%/kerfuffle/kerfuffle_libarchive.so
 %%QT_PLUGINDIR%%/kerfuffle/kerfuffle_libarchive_readonly.so
 %%ZIP%%%%QT_PLUGINDIR%%/kerfuffle/kerfuffle_libzip.so
-%%QT_PLUGINDIR%%/kf5/kfileitemaction/compressfileitemaction.so
-%%QT_PLUGINDIR%%/kf5/kfileitemaction/extractfileitemaction.so
-%%QT_PLUGINDIR%%/kf5/kio_dnd/extracthere.so
-%%QT_PLUGINDIR%%/kf5/parts/arkpart.so
+%%QT_PLUGINDIR%%/kf6/kfileitemaction/compressfileitemaction.so
+%%QT_PLUGINDIR%%/kf6/kfileitemaction/extractfileitemaction.so
+%%QT_PLUGINDIR%%/kf6/kio_dnd/extracthere.so
+%%QT_PLUGINDIR%%/kf6/parts/arkpart.so
 share/applications/org.kde.ark.desktop
 share/config.kcfg/ark.kcfg
 share/icons/hicolor/128x128/apps/ark.png
@@ -22,7 +22,6 @@ share/icons/hicolor/64x64/apps/ark.png
 share/icons/hicolor/scalable/apps/ark.svgz
 share/kconf_update/ark.upd
 share/kconf_update/ark_add_hamburgermenu_to_toolbar.sh
-share/kservices5/ark_part.desktop
 share/locale/af/LC_MESSAGES/ark.mo
 share/locale/ar/LC_MESSAGES/ark.mo
 share/locale/ast/LC_MESSAGES/ark.mo
@@ -103,18 +102,18 @@ share/locale/zh_CN/LC_MESSAGES/ark.mo
 share/locale/zh_HK/LC_MESSAGES/ark.mo
 share/locale/zh_TW/LC_MESSAGES/ark.mo
 share/man/ca/man1/ark.1.gz
-share/man/de/man1/ark.1.gz
 share/man/es/man1/ark.1.gz
 share/man/fr/man1/ark.1.gz
 share/man/gl/man1/ark.1.gz
 share/man/it/man1/ark.1.gz
 share/man/man1/ark.1.gz
 share/man/nl/man1/ark.1.gz
-share/man/pt/man1/ark.1.gz
 share/man/pt_BR/man1/ark.1.gz
+share/man/sl/man1/ark.1.gz
 share/man/sr/man1/ark.1.gz
 share/man/sr@latin/man1/ark.1.gz
 share/man/sv/man1/ark.1.gz
+share/man/tr/man1/ark.1.gz
 share/man/uk/man1/ark.1.gz
 share/metainfo/org.kde.ark.appdata.xml
-share/qlogging-categories5/ark.categories
+share/qlogging-categories6/ark.categories
diff --git a/astro/kosmindoormap/Makefile b/astro/kosmindoormap/Makefile
index 77b3ab4d5b42..a964d2a5ab4e 100644
--- a/astro/kosmindoormap/Makefile
+++ b/astro/kosmindoormap/Makefile
@@ -1,19 +1,18 @@
 PORTNAME=	kosmindoormap
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	6
 CATEGORIES=	astro kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Library and QML component for rendering multi-level OSM indoor maps
 WWW=		https://marble.kde.org/
 
-LIB_DEPENDS=	libprotobuf.so:devel/protobuf
+LIB_DEPENDS=	libprotobuf.so:devel/protobuf \
+		libKOpeningHours.so:devel/kopeninghours
 
-USES=		bison cmake compiler:c++11-lang kde:5 qt:5 tar:xz
-USE_KDE=	i18n kpublictransport \
+USES=		bison cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
+USE_KDE=	coreaddons i18n kirigami2 kpublictransport service \
 		ecm:build
-USE_QT=		core declarative gui network quick3d \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/astro/kosmindoormap/distinfo b/astro/kosmindoormap/distinfo
index 3c1c9041c654..41daa15de241 100644
--- a/astro/kosmindoormap/distinfo
+++ b/astro/kosmindoormap/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889450
-SHA256 (KDE/release-service/23.08.5/kosmindoormap-23.08.5.tar.xz) = 647bd4e37536502543494c8db8fcaa2f0a485c396920ee69e5238f367a48ab03
-SIZE (KDE/release-service/23.08.5/kosmindoormap-23.08.5.tar.xz) = 384948
+TIMESTAMP = 1734460014
+SHA256 (KDE/release-service/24.12.0/kosmindoormap-24.12.0.tar.xz) = f2a648d8dab8e568448fddcddd2bcc76387b6231cd6aca355030491aa6a336c1
+SIZE (KDE/release-service/24.12.0/kosmindoormap-24.12.0.tar.xz) = 693112
diff --git a/astro/kosmindoormap/pkg-plist b/astro/kosmindoormap/pkg-plist
index 31f60432645f..cc7e7d31f6aa 100644
--- a/astro/kosmindoormap/pkg-plist
+++ b/astro/kosmindoormap/pkg-plist
@@ -1,13 +1,23 @@
+include/KOSM/AbstractReader
+include/KOSM/AbstractWriter
 include/KOSM/Datatypes
 include/KOSM/Element
+include/KOSM/IO
+include/KOSM/Languages
 include/KOSMIndoorMap/EquipmentModel
 include/KOSMIndoorMap/FloorLevelModel
 include/KOSMIndoorMap/GateModel
 include/KOSMIndoorMap/HitDetector
+include/KOSMIndoorMap/MapCSSElementState
+include/KOSMIndoorMap/MapCSSLoader
 include/KOSMIndoorMap/MapCSSParser
+include/KOSMIndoorMap/MapCSSProperty
+include/KOSMIndoorMap/MapCSSResult
 include/KOSMIndoorMap/MapCSSStyle
+include/KOSMIndoorMap/MapCSSTypes
 include/KOSMIndoorMap/MapData
 include/KOSMIndoorMap/MapLoader
+include/KOSMIndoorMap/NetworkAccessManagerFactory
 include/KOSMIndoorMap/OverlaySource
 include/KOSMIndoorMap/PainterRenderer
 include/KOSMIndoorMap/Platform
@@ -16,20 +26,37 @@ include/KOSMIndoorMap/SceneController
 include/KOSMIndoorMap/SceneGraph
 include/KOSMIndoorMap/SceneGraphItem
 include/KOSMIndoorMap/View
+include/KOSMIndoorRouting/NavMesh
+include/KOSMIndoorRouting/NavMeshBuilder
+include/KOSMIndoorRouting/NavMeshTransform
+include/KOSMIndoorRouting/Route
+include/KOSMIndoorRouting/RoutingArea
+include/KOSMIndoorRouting/RoutingJob
+include/KOSMIndoorRouting/RoutingProfile
+include/kosm/abstractreader.h
+include/kosm/abstractwriter.h
 include/kosm/datatypes.h
 include/kosm/element.h
 include/kosm/internal.h
+include/kosm/io.h
 include/kosm/kosm_export.h
+include/kosm/languages.h
 include/kosm/stringpool.h
 include/kosmindoormap/equipmentmodel.h
 include/kosmindoormap/floorlevelmodel.h
 include/kosmindoormap/gatemodel.h
 include/kosmindoormap/hitdetector.h
 include/kosmindoormap/kosmindoormap_export.h
+include/kosmindoormap/mapcsselementstate.h
+include/kosmindoormap/mapcssloader.h
 include/kosmindoormap/mapcssparser.h
+include/kosmindoormap/mapcssproperty.h
+include/kosmindoormap/mapcssresult.h
 include/kosmindoormap/mapcssstyle.h
+include/kosmindoormap/mapcsstypes.h
 include/kosmindoormap/mapdata.h
 include/kosmindoormap/maploader.h
+include/kosmindoormap/networkaccessmanagerfactory.h
 include/kosmindoormap/overlaysource.h
 include/kosmindoormap/painterrenderer.h
 include/kosmindoormap/platform.h
@@ -39,6 +66,14 @@ include/kosmindoormap/scenegraph.h
 include/kosmindoormap/scenegraphitem.h
 include/kosmindoormap/view.h
 include/kosmindoormap_version.h
+include/kosmindoorrouting/kosmindoorrouting_export.h
+include/kosmindoorrouting/navmesh.h
+include/kosmindoorrouting/navmeshbuilder.h
+include/kosmindoorrouting/navmeshtransform.h
+include/kosmindoorrouting/route.h
+include/kosmindoorrouting/routingarea.h
+include/kosmindoorrouting/routingjob.h
+include/kosmindoorrouting/routingprofile.h
 lib/cmake/KOSMIndoorMap/KOSMIndoorMapConfig.cmake
 lib/cmake/KOSMIndoorMap/KOSMIndoorMapConfigVersion.cmake
 lib/cmake/KOSMIndoorMap/KOSMIndoorMapTargets-%%CMAKE_BUILD_TYPE%%.cmake
@@ -49,22 +84,53 @@ lib/libKOSM.so.%%KDE_APPLICATIONS_VERSION%%
 lib/libKOSMIndoorMap.so
 lib/libKOSMIndoorMap.so.1
 lib/libKOSMIndoorMap.so.%%KDE_APPLICATIONS_VERSION%%
+lib/libKOSMIndoorRouting.so
+lib/libKOSMIndoorRouting.so.1
+lib/libKOSMIndoorRouting.so.%%KDE_APPLICATIONS_VERSION%%
+%%QT_QMLDIR%%/org/kde/kosmindoormap/AmenityListDelegate.qml
+%%QT_QMLDIR%%/org/kde/kosmindoormap/AmenitySearchDialog.qml
+%%QT_QMLDIR%%/org/kde/kosmindoormap/FloorLevelSelector.qml
 %%QT_QMLDIR%%/org/kde/kosmindoormap/IndoorMap.qml
 %%QT_QMLDIR%%/org/kde/kosmindoormap/IndoorMapAttributionLabel.qml
 %%QT_QMLDIR%%/org/kde/kosmindoormap/IndoorMapScale.qml
+%%QT_QMLDIR%%/org/kde/kosmindoormap/OSMElementInformationDialog.qml
+%%QT_QMLDIR%%/org/kde/kosmindoormap/OSMElementInformationDialogAddressDelegate.qml
+%%QT_QMLDIR%%/org/kde/kosmindoormap/OSMElementInformationDialogImageDelegate.qml
+%%QT_QMLDIR%%/org/kde/kosmindoormap/OSMElementInformationDialogLinkDelegate.qml
+%%QT_QMLDIR%%/org/kde/kosmindoormap/OSMElementInformationDialogOpeningHoursDelegate.qml
+%%QT_QMLDIR%%/org/kde/kosmindoormap/OSMElementInformationDialogStringDelegate.qml
+%%QT_QMLDIR%%/org/kde/kosmindoormap/RoomSearchDialog.qml
+%%QT_QMLDIR%%/org/kde/kosmindoormap/kde-qmlmodule.version
+%%QT_QMLDIR%%/org/kde/kosmindoormap/kosmindoormapquickplugin.qmltypes
+%%QT_QMLDIR%%/org/kde/kosmindoormap/kpublictransport/kde-qmlmodule.version
+%%QT_QMLDIR%%/org/kde/kosmindoormap/kpublictransport/kosmindoormap_kpublictransport_integration_plugin.qmltypes
 %%QT_QMLDIR%%/org/kde/kosmindoormap/kpublictransport/libkosmindoormap_kpublictransport_integration_plugin.so
 %%QT_QMLDIR%%/org/kde/kosmindoormap/kpublictransport/qmldir
 %%QT_QMLDIR%%/org/kde/kosmindoormap/libkosmindoormapquickplugin.so
 %%QT_QMLDIR%%/org/kde/kosmindoormap/qmldir
+%%QT_QMLDIR%%/org/kde/kosmindoorrouting/kde-qmlmodule.version
+%%QT_QMLDIR%%/org/kde/kosmindoorrouting/kosmindoorroutingquickplugin.qmltypes
+%%QT_QMLDIR%%/org/kde/kosmindoorrouting/libkosmindoorroutingquickplugin.so
+%%QT_QMLDIR%%/org/kde/kosmindoorrouting/qmldir
+%%QT_QMLDIR%%/org/kde/osm/editorcontroller/kde-qmlmodule.version
+%%QT_QMLDIR%%/org/kde/osm/editorcontroller/kosmeditorcontrollerplugin.qmltypes
+%%QT_QMLDIR%%/org/kde/osm/editorcontroller/libkosmeditorcontrollerplugin.so
+%%QT_QMLDIR%%/org/kde/osm/editorcontroller/qmldir
+share/locale/ar/LC_MESSAGES/kosmindoormap.mo
+share/locale/ast/LC_MESSAGES/kosmindoormap.mo
 share/locale/ca/LC_MESSAGES/kosmindoormap.mo
 share/locale/ca@valencia/LC_MESSAGES/kosmindoormap.mo
 share/locale/cs/LC_MESSAGES/kosmindoormap.mo
 share/locale/de/LC_MESSAGES/kosmindoormap.mo
 share/locale/en_GB/LC_MESSAGES/kosmindoormap.mo
+share/locale/eo/LC_MESSAGES/kosmindoormap.mo
 share/locale/es/LC_MESSAGES/kosmindoormap.mo
 share/locale/eu/LC_MESSAGES/kosmindoormap.mo
 share/locale/fi/LC_MESSAGES/kosmindoormap.mo
 share/locale/fr/LC_MESSAGES/kosmindoormap.mo
+share/locale/gl/LC_MESSAGES/kosmindoormap.mo
+share/locale/he/LC_MESSAGES/kosmindoormap.mo
+share/locale/ia/LC_MESSAGES/kosmindoormap.mo
 share/locale/it/LC_MESSAGES/kosmindoormap.mo
 share/locale/ja/LC_MESSAGES/kosmindoormap.mo
 share/locale/ka/LC_MESSAGES/kosmindoormap.mo
@@ -82,4 +148,4 @@ share/locale/tr/LC_MESSAGES/kosmindoormap.mo
 share/locale/uk/LC_MESSAGES/kosmindoormap.mo
 share/locale/zh_CN/LC_MESSAGES/kosmindoormap.mo
 share/locale/zh_TW/LC_MESSAGES/kosmindoormap.mo
-share/qlogging-categories5/org_kde_kosmindoormap.categories
+share/qlogging-categories6/org_kde_kosmindoormap.categories
diff --git a/astro/marble/Makefile b/astro/marble/Makefile
index 2ace4367f39c..0a5581a3f433 100644
--- a/astro/marble/Makefile
+++ b/astro/marble/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	marble
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	7
 CATEGORIES=	astro education kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -13,16 +12,14 @@ LICENSE_FILE=	${WRKSRC}/LICENSE.txt
 LIB_DEPENDS=	libprotobuf.so:devel/protobuf
 
 USES=		cmake compiler:c++11-lang desktop-file-utils gettext \
-		kde:5 qt:5 shared-mime-info tar:xz xorg
+		kde:6 qt:6 shared-mime-info tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons \
-		crash doctools i18n jobwidgets kio package parts phonon \
-		plasma-framework plasma-workspace-wallpapers runner service solid \
+		crash doctools i18n jobwidgets kio kirigami-addons package \
+		parts phonon plasma-workspace-wallpapers runner service solid \
 		sonnet textwidgets widgetsaddons windowsystem xmlgui \
 		ecm:build
 USE_LDCONFIG=	yes
-USE_QT=		concurrent core dbus declarative designer gui network \
-		printsupport serialport sql svg widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base declarative positioning svg
 USE_XORG=	x11
 
 CMAKE_OFF=	MOBILE
@@ -41,8 +38,8 @@ GPS_USE=		QT=location
 GPS_LIB_DEPENDS=	libgps.so:astro/gpsd
 GPS_CMAKE_BOOL_OFF=	CMAKE_DISABLE_FIND_PACKAGE_libgps
 
-WEBENGINE_DESC=		Build various plugins that require qt5-webengine
+WEBENGINE_DESC=		Build various plugins that require qt6-webengine
 WEBENGINE_USE=		QT=location,webchannel,webengine
-WEBENGINE_CMAKE_BOOL_OFF=	CMAKE_DISABLE_FIND_PACKAGE_Qt5WebEngineWidgets
+WEBENGINE_CMAKE_BOOL_OFF=	CMAKE_DISABLE_FIND_PACKAGE_Qt6WebEngineWidgets
 
 .include <bsd.port.mk>
diff --git a/astro/marble/distinfo b/astro/marble/distinfo
index a9934b4867a4..324af4f2468f 100644
--- a/astro/marble/distinfo
+++ b/astro/marble/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889449
-SHA256 (KDE/release-service/23.08.5/marble-23.08.5.tar.xz) = 856cff312725f9644b05cc92d3e437712311d96927e6aa008a44df1c0f4a0b88
-SIZE (KDE/release-service/23.08.5/marble-23.08.5.tar.xz) = 53786140
+TIMESTAMP = 1734460017
+SHA256 (KDE/release-service/24.12.0/marble-24.12.0.tar.xz) = a347f134d1428bd46b886bb41a292a2fec4aea4de274bff73cd8b8994f920576
+SIZE (KDE/release-service/24.12.0/marble-24.12.0.tar.xz) = 53635296
